Bug 217264 - devel/py-dateutil: dos2unix is incorrectly run on tar.gz file
Summary: devel/py-dateutil: dos2unix is incorrectly run on tar.gz file
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-21 06:06 UTC by Gordon Tetlow
Modified: 2017-07-03 05:53 UTC (History)
0 users

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gordon Tetlow freebsd_committer 2017-02-21 06:06:19 UTC
The file installed as dateutil-zoneinfo.tar.gz is corrupted by the dos2unix run on all of the files in the distribution. Looking at it a bit further, there is no need to run dos2unix as the only files with CRLF is the NEWS file, a README and a Windows BAT file (which makes sense to use CRLF).

Proposed diff:

Index: Makefile
===================================================================
--- Makefile    (revision 434502)
+++ Makefile    (working copy)
@@ -3,6 +3,7 @@

 PORTNAME=      dateutil
 PORTVERSION=   2.5.3
+PORTREVISION=  1
 CATEGORIES=    devel python
 PKGNAMEPREFIX= ${PYTHON_PKGNAMEPREFIX}

@@ -14,7 +15,7 @@

 RUN_DEPENDS=   ${PYTHON_PKGNAMEPREFIX}six>=1.5:devel/py-six

-USES=          python dos2unix
+USES=          python
 USE_GITHUB=    yes
 USE_PYTHON=    autoplist distutils
Comment 1 Gordon Tetlow freebsd_committer 2017-04-27 05:30:52 UTC
Ping. Can this get submitted please? Or let me know and I'll submit an update.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-04-30 04:46:16 UTC
Apologies for the delay Gordon. For future issues, please include changes as attachments (not comments), or ideally Phabricator reviews with the URL in the Bugzilla URl field. The latter allows us to more quickly review/accept changes and allow you to commit the changes (with a complete audit/review trail)
Comment 3 commit-hook freebsd_committer 2017-04-30 04:52:44 UTC
A commit references this bug:

Author: koobs
Date: Sun Apr 30 04:52:00 UTC 2017
New revision: 439790
URL: https://svnweb.freebsd.org/changeset/ports/439790

Log:
  devel/py-dateutil: Remove use of dos2unix

  The file installed as dateutil-zoneinfo.tar.gz is corrupted by the dos2unix
  run on all of the files in the distribution. There is no need to run dos2unix
  as the only files with CRLF is the NEWS file, a README and a Windows BAT file
  (which makes sense to use CRLF).

  Accordingly:

  - Remove use of USES=dos2unix
  - Bump PORTREVISION to rebuild package (containing corrupted TZ data file)

  PR:		217264
  Submitted by:	gordon
  MFH:		2017Q2

Changes:
  head/devel/py-dateutil/Makefile
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-05-15 14:49:50 UTC
Re-open pending MFH (merge to quarterly) :)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-03 05:53:06 UTC
New quarterly has been cut, deny MFH.